Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.s9api
Class XsltExecutable.ParameterDetails

    java.lang.Object
      net.sf.saxon.s9api.XsltExecutable.ParameterDetails

Enclosing class:
  XsltExecutable

    public class XsltExecutable.ParameterDetails

extends Object

Inner class containing information about a global parameter to a compiled stylesheet

Since:
  9.3

Constructor Summary
`protected` | `XsltExecutable.ParameterDetails(SequenceType type, boolean isRequired)`

Method Summary
`OccurrenceIndicator` | `getDeclaredCardinality()` Get the declared cardinality of the parameter
`ItemType` | `getDeclaredItemType()` Get the declared item type of the parameter
`boolean` | `isRequired()` Ask whether the parameter is required (mandatory) or optional

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltExecutable.ParameterDetails

    protected XsltExecutable.ParameterDetails(SequenceType type,
                                              boolean isRequired)

Method Detail

### getDeclaredItemType

    public ItemType getDeclaredItemType()

  Get the declared item type of the parameter

  Returns:
    the type defined in the `as` attribute of the `xsl:param` element, without its occurrence indicator

### getDeclaredCardinality

    public OccurrenceIndicator getDeclaredCardinality()

  Get the declared cardinality of the parameter

  Returns:
    the occurrence indicator from the type appearing in the `as` attribute of the `xsl:param` element

### isRequired

    public boolean isRequired()

  Ask whether the parameter is required (mandatory) or optional

  Returns:
    true if the parameter is mandatory (`required="yes"`), false if it is optional

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.